class Szallitas{
    constructor(felado, cimzett, suly, azonosito){
        this.felado = felado;
        this.cimzett = cimzett;
        this.suly = suly;
        this.azonosito = azonosito;
    }

    informacio(){
        return `Feladó: ${this.felado}\nCímzett: ${this.cimzett}\nSúly: ${this.suly}\nAzonosító: ${this.azonosito}`;
    }
}

class Csomag extends Szallitas{
    static csomagSzam = 0;
    constructor(felado, cimzett, suly, azonosito, meret){
        super(felado, cimzett, suly, azonosito);
        this.meret = meret;
        Csomag.csomagSzam++;
    }

    informacio(){
        return `Feladó: ${this.felado}\nCímzett: ${this.cimzett}\nSúly: ${this.suly}\nAzonosító: ${this.azonosito}\nMéret: ${this.meret}`;
    }

    static osszesCsomag(){
        return Csomag.csomagSzam;
    }
}

class Teherauto extends Szallitas{
    static autoSzam = 0;
    constructor(felado, cimzett, suly, azonosito, maxTerheles){
        super(felado, cimzett, suly, azonosito);
        this.maxTerheles = maxTerheles;
        Teherauto.autoSzam++;
    }

    informacio(){
        return `Feladó: ${this.felado}\nCímzett: ${this.cimzett}\nSúly: ${this.suly}\nAzonosító: ${this.azonosito}\nMaximális terhelhetőség: ${this.maxTerheles}`;
    }

    static osszesAuto(){
        return Teherauto.autoSzam;
    }
}

let csomag1 = new Csomag("Digi", "valaki", 15, 102, "5x5x5");
let csomag2 = new Csomag("Skibidi", "valaki", 150, 12, "5x25x5");
console.log(csomag1.informacio());
console.log(Csomag.osszesCsomag());

let kamion = new Teherauto("PATAI", "Patai", 1500, 321, "2500");
console.log(kamion.informacio());
console.log(Teherauto.osszesAuto());